import 'package:flutter/material.dart';

class MidtransSuccess extends StatefulWidget{
  final onnext,
        bankName,
        method;

  MidtransSuccess({this.onnext,this.bankName,this.method});
  @override
  _MidtransSuccess createState() => _MidtransSuccess();
}

class _MidtransSuccess extends State<MidtransSuccess>{
  String _selectedMethod; 
  List _listMethod;

  initMethod()
  {
    _listMethod = [];
    
  }

  @override
  void initState() { 
    super.initState();
    initMethod();
    _selectedMethod = null;
  }
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: SafeArea(
        child: SingleChildScrollView(
          // padding: EdgeInsets.all(16),
          child: Column(
            mainAxisAlignment: MainAxisAlignment.center,
            children: [

              Image.asset('packages/midtrans_helper/assets/image/success/check.png'),

              SizedBox(height: 0,),

              Center(
                child: Container(
                  padding: EdgeInsets.symmetric(horizontal:16,vertical:4),
                  width: MediaQuery.of(context).size.width * 0.85,
                  child: Text('Total Tagihan',
                    style: TextStyle(
                      fontWeight: FontWeight.w500,
                      fontFamily: 'Hind',
                      fontSize: 16,
                      color: Colors.black87
                    ),
                  ),
                ) 
              ),

              Center(
                child: Container(
                  padding: EdgeInsets.symmetric(horizontal:16,vertical:16),
                  decoration: BoxDecoration(
                    color: Colors.black.withOpacity(0.05),
                    borderRadius: BorderRadius.circular(10),
                  ),
                  width: MediaQuery.of(context).size.width * 0.85,
                  child: Text('Rp. 100.000',
                    style: TextStyle(
                      fontWeight: FontWeight.w500,
                      fontFamily: 'Hind',
                      fontSize: 16,
                      color: Colors.black87
                    ),
                  ),
                ) 
              ),

              SizedBox(height: 16,),

              Center(
                child: Container(
                  padding: EdgeInsets.symmetric(horizontal:16,vertical:4),
                  width: MediaQuery.of(context).size.width * 0.85,
                  child: Text('Metode',
                    style: TextStyle(
                      fontWeight: FontWeight.w500,
                      fontFamily: 'Hind',
                      fontSize: 16,
                      color: Colors.black87
                    ),
                  ),
                ) 
              ),

              Center(
                child: Container(
                  padding: EdgeInsets.symmetric(horizontal:16,vertical:16),
                  decoration: BoxDecoration(
                    color: Colors.black.withOpacity(0.05),
                    borderRadius: BorderRadius.circular(10),
                  ),
                  width: MediaQuery.of(context).size.width * 0.85,
                  child: Text(widget.method ?? 'BELUM MEMILIH METODE',
                    style: TextStyle(
                      fontWeight: FontWeight.w500,
                      fontFamily: 'Hind',
                      fontSize: 16,
                      color: Colors.black87
                    ),
                  ),
                ) 
              ),

              SizedBox(height: 16,),

              Center(
                child: Container(
                  padding: EdgeInsets.symmetric(horizontal:16,vertical:4),
                  width: MediaQuery.of(context).size.width * 0.85,
                  child: Text('Email Instruksi',
                    style: TextStyle(
                      fontWeight: FontWeight.w500,
                      fontFamily: 'Hind',
                      fontSize: 16,
                      color: Colors.black87
                    ),
                  ),
                ) 
              ),

              Center(
                child: Container(
                  padding: EdgeInsets.symmetric(horizontal:16,vertical:16),
                  decoration: BoxDecoration(
                    color: Colors.black.withOpacity(0.05),
                    borderRadius: BorderRadius.circular(10),
                  ),
                  width: MediaQuery.of(context).size.width * 0.85,
                  child: Text('faizal@gmail.com',
                    style: TextStyle(
                      fontWeight: FontWeight.w500,
                      fontFamily: 'Hind',
                      fontSize: 16,
                      color: Colors.black87
                    ),
                  ),
                ) 
              ),

              SizedBox(height: 10,),

              Center(
                child: Container(
                  padding: EdgeInsets.symmetric(horizontal:16,vertical:16),
                  width: MediaQuery.of(context).size.width * 0.85,
                  child: Text('Lakukan Pembayaran Sebelum Tanggal 12-12-2020',
                    style: TextStyle(
                      fontWeight: FontWeight.w500,
                      fontFamily: 'Hind',
                      fontSize: 16,
                      color: Colors.red
                    ),
                  ),
                ),
              )
            ],
          )
        ),
      ),
      bottomNavigationBar: Material(
        elevation: 5.0,
        borderRadius: BorderRadius.circular(3.0),
        child: MaterialButton(
          color: Colors.blue,
          minWidth: MediaQuery.of(context).size.width,
          padding: EdgeInsets.fromLTRB(20.0, 15.0, 20.0, 15.0),
          onPressed: widget.onnext,
          child: Row(
            mainAxisAlignment: MainAxisAlignment.center,
            children: [
              Text("Kembali",
                textAlign: TextAlign.center,
                style: TextStyle(
                  fontWeight: FontWeight.w500,
                  fontFamily: 'Hind',
                  fontSize: 16,
                  color: Colors.white
                ),
              ),
            ],
          )
        ),
      ),
    );
  }
}