import 'package:cached_network_image/cached_network_image.dart';
import 'package:flutter/material.dart';

class QRCode extends StatelessWidget{
  final url;
  QRCode({this.url});
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: Padding(
        padding: EdgeInsets.all(16),
        child: Center(
          child: CachedNetworkImage(
            width: MediaQuery.of(context).size.width,
            imageUrl: url,
            placeholder: (context, url) => Center(
              child: CircularProgressIndicator(),
            ),
            errorWidget: (context, url, error) => Icon(Icons.error),
          ),
        ),
      )
    );
  }
}